package org.lym.pom.service;

import jakarta.servlet.http.HttpServletResponse;
import org.springframework.web.multipart.MultipartFile;

public interface ImageStorageService {
    // 上传图片
    String uploadImage(MultipartFile file);

    // 根据URL下载图片
    void downloadImage(String resourceIdOrPath, HttpServletResponse response);

    // 删除图片
    boolean deleteImage(String resourceIdOrPath);

    // 创建图片缩略图
    //InputStream createThumbnail(InputStream imageStream, int width, int height);

    // 图片格式转换
    //InputStream convertImageFormat(InputStream imageStream, String toFormat);
}
     